Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Function Class Reference

STK abstract function parent class. More...

`#include <Function.h>`

Inheritance diagram for stk::Function:

List of all members.

## Public Member Functions
| Function (void)
| Class constructor.
StkFloat | lastOut (void) const
| Return the last computed output sample.
virtual StkFloat | tick (StkFloat input)=0
| Take one sample input and compute one sample of output.

## Detailed Description

STK abstract function parent class.

This class provides common functionality for STK classes that implement tables or other types of input to output function mappings.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

The documentation for this class was generated from the following file:

- Function.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.